FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202201261123.p0.gb2204ca.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.gb2204ca.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b2204ca OS_GIT_VERSION=4.7.0-202201261123.p0.gb2204ca.assembly.stream-b2204ca SOURCE_DATE_EPOCH=1616615810 SOURCE_GIT_COMMIT=b2204ca23a57e9f01af915375e6a18fc86ffecda SOURCE_GIT_TAG=v0.0.1-606-gb2204ca2 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-scheduler-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.7.0.20220126.114749
ENV __doozer=update BUILD_RELEASE=202201261123.p0.gb2204ca.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201261123.p0.gb2204ca.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b2204ca OS_GIT_VERSION=4.7.0-202201261123.p0.gb2204ca.assembly.stream-b2204ca SOURCE_DATE_EPOCH=1616615810 SOURCE_GIT_COMMIT=b2204ca23a57e9f01af915375e6a18fc86ffecda SOURCE_GIT_TAG=v0.0.1-606-gb2204ca2 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/cluster-kube-scheduler-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-scheduler-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-scheduler-operator" \
        com.redhat.component="ose-cluster-kube-scheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202201261123.p0.gb2204ca.assembly.stream" \
        io.openshift.build.commit.id="b2204ca23a57e9f01af915375e6a18fc86ffecda" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-scheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-scheduler-operator/commit/b2204ca23a57e9f01af915375e6a18fc86ffecda" \
        version="v4.7.0"

